[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.Pack

Removes Nil pointers from the list and frees unused memory.

## Declaration

Source position: classesh.inc line 342

`public procedure TList.Pack;`

## Description

Pack removes all nil pointers from the list. The capacity of the list is then set to the number of pointers in the list. This method can be used to free unused memory if the list has grown to very large sizes and has a lot of unneeded nil pointers in it.

## See also

TList.Clear |  | Clears the pointer list.